#!/bin/csh -f

# Changes you need to make are marked by "# <---- !" in the 
# line beneath. There are 5 changes necessary.

# Please indicate here the path to the installation 
# directory, such that ${RTRT_DIR}/TestRealTime is
# a valid directory:
setenv RTRT_DIR DIR_TO_PATCH

# <---- !

# <---- !

if ( ! -d ${RTRT_DIR} ) then
	echo "Please correct the installation Path."
        echo "I'm looking for ${RTRT_DIR} which does not exist on your machine."
	echo "No Initializations done."
else

# Please give the architecture of your machine:
# For HP-UX it is : hp700/hpux
# For Solaris     : sun4/sunOS5
# For AIX         : rs6000/aix 
# For Linux Suse  : intel/linux
# For Linux RedHat: intel/linux
# So yours is:

# So the full Path Prefix will be:
setenv TESTRTDIR ${RTRT_DIR}

switch (`uname`)
case SunOS:
    	setenv RT_OS sun4/sunOS5
	if ( $?LD_LIBRARY_PATH ) then
        	setenv LD_LIBRARY_PATH "${TESTRTDIR}/bin/${RT_OS}:${LD_LIBRARY_PATH}"
        	setenv LD_LIBRARY_PATH "${TESTRTDIR}/plugins/Common/bin/${RT_OS}:${LD_LIBRARY_PATH}"
        	setenv LD_LIBRARY_PATH "${TESTRTDIR}/lib/${RT_OS}:${LD_LIBRARY_PATH}"
        	setenv LD_LIBRARY_PATH "${TESTRTDIR}/lib/perl/sun4-solaris/auto/XML/Parser/Expat:${LD_LIBRARY_PATH}"
    	else
        	setenv LD_LIBRARY_PATH "${TESTRTDIR}/lib/${RT_OS}"
        	setenv LD_LIBRARY_PATH "${TESTRTDIR}/plugins/Common/bin/${RT_OS}:${LD_LIBRARY_PATH}"
        	setenv LD_LIBRARY_PATH "${TESTRTDIR}/bin/${RT_OS}:${LD_LIBRARY_PATH}"
        	setenv LD_LIBRARY_PATH "${TESTRTDIR}/lib/perl/sun4-solaris/auto/XML/Parser/Expat:${LD_LIBRARY_PATH}"
    	endif  
	# For Object Testing/PQCT we need a Target Package:
	# <---- !

	breaksw
case HP-UX:
	setenv RT_OS hp700/hpux
	if ( $?SHLIB_PATH ) then
        	setenv SHLIB_PATH "${TESTRTDIR}/bin/${RT_OS}:${SHLIB_PATH}"
        	setenv SHLIB_PATH "${TESTRTDIR}/plugins/Common/bin/${RT_OS}:${SHLIB_PATH}"
        	setenv SHLIB_PATH "${TESTRTDIR}/lib/${RT_OS}:${SHLIB_PATH}"
        	setenv SHLIB_PATH "${TESTRTDIR}/lib/perl/PA-RISC2.0/auto/XML/Parser/Expat:${SHLIB_PATH}"
    	else
        	setenv SHLIB_PATH "${TESTRTDIR}/lib/${RT_OS}"
        	setenv SHLIB_PATH "${TESTRTDIR}/plugins/Common/bin/${RT_OS}:${SHLIB_PATH}"
        	setenv SHLIB_PATH "${TESTRTDIR}/bin/${RT_OS}:${SHLIB_PATH}"
        	setenv SHLIB_PATH "${TESTRTDIR}/lib/perl/PA-RISC2.0/auto/XML/Parser/Expat:${SHLIB_PATH}"
    	endif  
	# For Object Testing/PQCT we need a Target Package:
	setenv ATLTGT ${TESTRTDIR}/targets/chp
	# <---- !

    	breaksw
case AIX:
	setenv RT_OS rs6000/aix
	if ( $?LIBPATH ) then
        	setenv LIBPATH "${TESTRTDIR}/bin/${RT_OS}:${LIBPATH}"
        	setenv LIBPATH "${TESTRTDIR}/plugins/Common/bin/${RT_OS}:${LIBPATH}"
        	setenv LIBPATH "${TESTRTDIR}/lib/${RT_OS}:${LIBPATH}"
        	setenv LIBPATH "${TESTRTDIR}/lib/perl/aix/auto/XML/Parser/Expat:${LIBPATH}"
    	else
        	setenv LIBPATH "${TESTRTDIR}/lib/${RT_OS}"
        	setenv LIBPATH "${TESTRTDIR}/plugins/Common/bin/${RT_OS}:${LIBPATH}"
        	setenv LIBPATH "${TESTRTDIR}/bin/${RT_OS}:${LIBPATH}"
        	setenv LIBPATH "${TESTRTDIR}/lib/perl/aix/auto/XML/Parser/Expat:${LIBPATH}"
    	endif  
	# For Object Testing/PQCT we need a Target Package:
	setenv ATLTGT ${TESTRTDIR}/targets/caix
	# <---- !

    	breaksw
case Linux:
     switch (`uname -m`)
     case i686:
        setenv PERL_LINUX i686-linux
        setenv RT_OS intel/linux
        # For Object Testing/PQCT we need a Target Package:
        setenv ATLTGT ${TESTRTDIR}/targets/clinuxgnu
        # <---- !
        if ( $?LD_LIBRARY_PATH ) then
                setenv LD_LIBRARY_PATH "${TESTRTDIR}/bin/${RT_OS}:${LD_LIBRARY_PATH}"
                setenv LD_LIBRARY_PATH "${TESTRTDIR}/plugins/Common/bin/${RT_OS}:${LD_LIBRARY_PATH}"
                setenv LD_LIBRARY_PATH "${TESTRTDIR}/lib/${RT_OS}:${LD_LIBRARY_PATH}"
                setenv LD_LIBRARY_PATH "${TESTRTDIR}/lib/perl/${PERL_LINUX}/auto/XML/Parser/Expat:${LD_LIBRARY_PATH}"
        else
                setenv LD_LIBRARY_PATH "${TESTRTDIR}/lib/${RT_OS}"
                setenv LD_LIBRARY_PATH "${TESTRTDIR}/plugins/Common/bin/${RT_OS}:${LD_LIBRARY_PATH}"
                setenv LD_LIBRARY_PATH "${TESTRTDIR}/bin/${RT_OS}:${LD_LIBRARY_PATH}"
                setenv LD_LIBRARY_PATH "${TESTRTDIR}/lib/perl/${PERL_LINUX}/auto/XML/Parser/Expat:${LD_LIBRARY_PATH}"
        endif

        breaksw

     case s390x:
        setenv PERL_LINUX i686-linux
        # For Object Testing/PQCT we need a Target Package:
        setenv ATLTGT ${TESTRTDIR}/targets/clinuxgnu

        setenv RT_OS s390x/linux
        setenv ATTOLBIN ${TESTRTDIR}/bin/${RT_OS}
	# <---- !
        if ( $?LD_LIBRARY_PATH ) then
                setenv LD_LIBRARY_PATH "${TESTRTDIR}/bin/${RT_OS}:${LD_LIBRARY_PATH}"
                setenv LD_LIBRARY_PATH "${TESTRTDIR}/plugins/Common/bin/${RT_OS}:${LD_LIBRARY_PATH}"
                setenv LD_LIBRARY_PATH "${TESTRTDIR}/lib/${RT_OS}:${LD_LIBRARY_PATH}"
                setenv LD_LIBRARY_PATH "${TESTRTDIR}/lib/perl/${PERL_LINUX}/auto/XML/Parser/Expat:${LD_LIBRARY_PATH}"
        else
                setenv LD_LIBRARY_PATH "${TESTRTDIR}/lib/${RT_OS}"
                setenv LD_LIBRARY_PATH "${TESTRTDIR}/plugins/Common/bin/${RT_OS}:${LD_LIBRARY_PATH}"
                setenv LD_LIBRARY_PATH "${TESTRTDIR}/bin/${RT_OS}:${LD_LIBRARY_PATH}"
                setenv LD_LIBRARY_PATH "${TESTRTDIR}/lib/perl/${PERL_LINUX}/auto/XML/Parser/Expat:${LD_LIBRARY_PATH}"
        endif

        breaksw
     default:
        echo "Unsupported Linux Operating System."
        echo "Exiting. Running on Linux i686 and s390x."
        echo "  "
        echo "          Initializations not valid."
        echo "    STOP"
        echo "  "

        endsw
        breaksw

     default:
        echo "Unsupported Operating System."
        echo "Exiting. Running on Solaris, HP-UX, Linux, Aix and MSWindows."
        echo "  "
        echo "          Initializations not valid."
        echo "    STOP"
        echo "  "
endsw

# Depending on programming language and Operating System (deprecated)
setenv ATUTGT ${ATLTGT}


# Now finally, we can modify the general PATH
setenv  PATH "${TESTRTDIR}/bin/${RT_OS}:${PATH}" 
setenv  PATH "${TESTRTDIR}:${PATH}"
setenv  PATH "${PATH}:${ATLTGT}/cmd"


# there's an 'else' we've to close:
endif

